Last Comment Bug 798345 - Permanent orange: TEST-UNEXPECTED-FAIL | test_private_resume.js | TypeError: pb is null
: Permanent orange: TEST-UNEXPECTED-FAIL | test_private_resume.js | TypeError: ...
Status: RESOLVED FIXED
: intermittent-failure
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 18.0
Assigned To: :Ehsan Akhgari (out sick)
:
Mentors:
https://tbpl.mozilla.org/php/getParse...
Depends on:
Blocks: 794606
  Show dependency treegraph
 
Reported: 2012-10-05 07:25 PDT by :Irving Reid (No longer working on Firefox)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (v1) (967 bytes, patch)
2012-10-05 08:07 PDT, :Ehsan Akhgari (out sick)
josh: review+
Details | Diff | Review

Description :Irving Reid (No longer working on Firefox) 2012-10-05 07:25:04 PDT
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js | test failed (with xpcshell return code: 0), see following log:
>>>>>>>

TEST-INFO | (xpcshell/head.js) | test 1 pending

TEST-INFO | (xpcshell/head.js) | test 2 pending
*** Throwing trying to get ProfD

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js:116 | TypeError: pb is null - See following stack:
JS frame :: run_test@/home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js:116
JS frame :: _execute_test@/home/cltbld/talos-slave/test/build/xpcshell/head.js:315
JS frame :: @-e:1
!!! error running onStopped callback: TypeError: callback is not a function
<<<<<<<


The failing test was introduced in bug 794606.
Comment 1 :Ehsan Akhgari (out sick) 2012-10-05 08:07:28 PDT
Created attachment 668448 [details] [diff] [review]
Patch (v1)
Comment 2 :Ehsan Akhgari (out sick) 2012-10-05 08:12:44 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b41fe9617b57
Comment 3 Treeherder Robot 2012-10-05 10:09:50 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=15847268&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test xpcshell on 2012-10-05 08:25:33
slave: talos-r3-fed-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js:116 | TypeError: pb is null - See following stack:
Comment 4 Treeherder Robot 2012-10-05 10:09:57 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=15847345&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test xpcshell on 2012-10-05 08:27:41
slave: talos-r3-fed64-023

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js:116 | TypeError: pb is null - See following stack:
Comment 5 Treeherder Robot 2012-10-05 10:17:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=15849081&tree=Thunderbird-Try
TB Rev3 WINNT 6.1 try-comm-central opt test xpcshell on 2012-10-05 08:54:09
slave: talos-r3-w7-009

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\downloads\test\unit\test_private_resume.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js:116 | TypeError: pb is null - See following stack:
Comment 6 Treeherder Robot 2012-10-05 11:26:21 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=15850882&tree=Thunderbird-Try
TB Rev3 WINNT 6.1 try-comm-central debug test xpcshell on 2012-10-05 09:41:43
slave: talos-r3-w7-073

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\xpcshell\tests\toolkit\components\downloads\test\unit\test_private_resume.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | C:/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js:116 | TypeError: pb is null - See following stack:
Comment 7 Treeherder Robot 2012-10-05 11:26:34 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=15850932&tree=Thunderbird-Try
TB Rev3 WINNT 5.1 try-comm-central debug test xpcshell on 2012-10-05 10:07:37
slave: talos-r3-xp-081

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\xpcshell\tests\mailnews\compose\test\unit\test_smtpPasswordFailure3.js | test failed (with xpcshell return code: -2147483645), see following log:
TEST-UNEXPECTED-FAIL | C:/talos-slave/test/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js | 2152398868 == 0 - See following stack:
PROCESS-CRASH | C:\talos-slave\test\build\xpcshell\tests\mailnews\compose\test\unit\test_smtpPasswordFailure3.js | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\xpcshell\tests\toolkit\components\downloads\test\unit\test_private_resume.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | C:/talos-slave/test/build/xpcshell/tests/toolkit/components/downloads/test/unit/test_private_resume.js:116 | TypeError: pb is null - See following stack:
Comment 8 Ed Morley [:emorley] 2012-10-06 12:50:52 PDT
https://hg.mozilla.org/mozilla-central/rev/b41fe9617b57

Note You need to log in before you can comment on or make changes to this bug.